require 'capistrano'
require 'rubygems'
require 'json'
require 'capistrano/version'

module CapistranoSeed
  class CapistranoIntegration
    def self.load_into(capistrano_config)

      capistrano_config.load do
        namespace :deploy do
          desc "Seed the database"
          task :seed, :roles =>:db, :only => {:primary => true}, :except => { :no_release => true } do
            run "cd #{current_path}; RAILS_ENV=#{rails_env} bundle exec rake db:seed"
          end
        end
      end
    end
  end
end


if Capistrano::Configuration.instance
  CapistranoSeed::CapistranoIntegration.load_into(Capistrano::Configuration.instance)
end
